package com.diagbot.client.bean;

import com.diagbot.vo.LisResult;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * Created by fyeman on 2018/1/31.
 */
@Getter
@Setter
public class SearchData {
    private int length;
    private int age;
    private String sex;
    //特征类别
    private String featureType;
    //外部系统编码 用于返回映射数据，如果sysCode为空或null，则返回kl_standard_info标准名称
    private String sysCode;
    private String symptom;
    private String past;
    private String other;
    private String vital;
    private String lis;
    private List<LisResult> lisArr;
    private String pacs;
    private String diag;
    private String diseaseName; //指定诊断，例如取治疗方案
    private String scaleName;   //量表名称
    private String indications; //指标结果
    private String adverseReactions; //不良反应
    private Integer disType;    //诊断类型
    private String adverseEvent;
}